#!/usr/bin/env python3

import os
import re
import subprocess

devs = []
mntpts = []
lsblk = subprocess.check_output(['lsblk', '--list', '--noheadings', '--paths']).decode('utf-8').splitlines()
mounts = subprocess.check_output(['findmnt', '--all', '--list', '--noheadings', '--uniq']).decode('utf-8').splitlines()

for m in mounts:
    out = m.split()
    dev = out[1]
    if dev not in mntpts:
        mntpts.append(dev)

for d in lsblk:
    device = d.split()[0]
    path = device.split('/')
    devname = path[-1]
    # don't bother with optical media
    if re.match('((cd|dvd)(rom|rw?)?|sr)[0-9]*', devname):
        continue
    # make sure it's a partition
    elif not re.match('.*[0-9]', devname):
        continue
    # remove existing mounted media, too.
    elif device in mntpts:
        continue
    else:
        devs.append(device)

for d in devs:
    devname = d.split('/')[-1]
    path = '/mnt/{0}'.format(devname)
    os.makedirs(path, exist_ok = True)
    subprocess.call(['mount', d, path])
